function [Pinit,A,B,LP,Com]=dhmmdeli(HMM)

// gets the parameters of a DHMM from a list HMM (used in "dhmmdist").
// HMM 		: list of DHMM of dimension 5.
// Pinit 	: Initial state distribution vector (1*N)
// A     	: State stochastic matrix (N*N)
// B     	: Observation stochastic matrix (N*M)
// M	 	: Number of distinct observation symbols per state
// LP		: Log likelihood (log(P(OImodel))
// Com		: Commentary


// Copyright (c) 1998 T. AL ANI and Y. HAMAM
// Groupe E.S.I.E.E.
// All rights Reserved


Pinit=HMM(1); A=HMM(2); B=HMM(3); LP=HMM(4); Com=HMM(5);
