function [dc,mod,lr,a]=par1()

// This function is used by training.sci 
// dc  : Type of HMM 
// mod : Choice of first model in the function cinhmm
// lr  : Ergodic Markov model (All state transitions are permitted)
// a   : Approach

// Copyright (c) 1998 T. AL ANI and Y. HAMAM
// Groupe E.S.I.E.E.
// All rights Reserved


x_message(['HMM SIMULATION PARAMETERS';
'In the following window, you may modify directly the simulation parameters :';
'[p1 p2 p3 p4]=[dc mod lr a]:';
'->p1 : dc -> Choice of the HMM type';
' dc=1: HMM with Discret Observation Sequence(DHMM), dc=2: HMM with Continuous'; 'Gaussian Observation Sequence (CHMM)';
' dc=3 : HMM with Continuous Gaussian Autoregressive Observation Sequence (ARHMM)'; 
'->p2 : mod (= 1 or 2 ) -> Choice of model using the function dinhmm for (DHMM) or  cinhmm'; 'for (CHMM)';
'For DHMM:  mod=1: 2 states (N=2), 2 distinct observation symbols per state (M=2)';   
'           mod=2: 2 states (N=4), 8 distinct observation symbols per state (M=8)';
'For CHMM:  mod=1: 2 states (N=2), one mixture (M=1), observation sequence vectors'; 
'with 2 components (K=2) ';   
'            mod=2: 2 states (N=2), two mixtures (M=2), observation sequence vectors'; 'with 2 components (K=2) ';
'For ARHMM: mod=1: 2 states (N=2), one mixture (M=1), observation sequence vectors'; 
'with 2 components (K=2) ';   
'            mod=2: 2 states (N=2), two mixtures (M=2), observation sequence vectors'; 
'with 2 components (K=2) ';
'->p3  : lr (1 or 2) -> Choice of Markov model structure.';
'	  p3=lr=1 All state transitions are permitted, p3=lr=2 Left-to-Right model';
'->p4  : a -> Choice of the learning algorithm';
' a=1  : Maximum Likelihood Baum-Welch, Liporace, Rabiner-Wilpon-Juang algorithms based'; '(DHMM or CHMM)';
' a=2  : Simulated annealin Hamam''s algoritm based (DHMM or CHMM with only a single'; 'Gaussian observation sequence (mod=1))';
' a=3  : Maximum a posteriori Viterbi''s algoritm based (DHMM or CHMM with only a single';
'Gaussian observation sequence (mod=1))';' ']);

check=%f
while ~check,
parg=[1 1 1 1];
parg=evstr(x_dialog(['HMM SIMULATION PARAMETERS';
'[dc mod lr a]';
'OK: continue, Cancel: abort'],table(parg)));
    if parg~=[],
        check=%t;
    else
        yorn();
    end
end
dc=parg(1);mod=parg(2);lr=parg(3);a=parg(4);