function []=s1chmm()

// This function is used by training.sci (dc=2)
// Last change 98/03/01

// Copyright (c) 1998 T. AL ANI and Y. HAMAM
// Groupe E.S.I.E.E.
// All rights Reserved

check=%f;
while ~check,
  d=x_message(['FIRST STEP : INITIAL HMM GENERATION';
      ' ';
      'Generation of the HMM parameters (to be compared to';
      'the final estimated parameters) using the following function: ';' ';
      '[Pinit0,A0,Me0,Seg0,C0,M,K,N] = cinhmm(mod,lr)';' ';
      'This function, used for demonstration, gives two examples for Continuous';
	'Observations HMM (CHMM) initialisation';' ';
	'It returns the parameters of the mod-th model (mod=1 or 2)';
	'Two model structures may be generated :'; 
	'lr=1 		: All transitions between states are permitted';
	'lr=2 		: Left-to-Right model';
	'Pinit0 	: Initial probability vector (1,N)';
	'A0     	: State transition matrix (N,N)';
	'Me0    	: Observation mean list Me=list(1:M)Mi';
	'Mi		: Matrices  Mi (K*N)of mean vectors Msi';
	'Msi		: Observation Mean vectors (K*1) in state si'; 
	'Seg0   	: Observation Covariance list Seg=list(1:M)Segi';
	'Segi 		: Observation covarianc list Segi=list(1:N)Segsi';
	'Segsi		: Covariance Matrix (K*K) in state si'; 
	'C0     	: Mixture gains (for a mixture of Gaussians probability density function)';
	'C0=ones(N*1) 	: Case of Single Gaussian';
	'C0 (N*M)	: Case of M mixtures';
	'M		: Number of Gaussian observation mixtures';
	'K		: Observation mean vector dimension';
	'N		: Number of states';' ';
	'You may use for your application the function:';
	'[HMM]=makehmm()';
	'to generate one or more DHMM, CHMM or HMMAR using x_window dialog'; 
	'Please click on Ok to continue or Cancel to abort.'],['Ok';'Cancel']);
  if d==1 then 
    check=%t;
  elseif d==2 then
    yorn();	
    check=%f;
  end 
end	
