function []= s2chmm()

// This function is used by training.sci (dc=2,lr=1)
// Last change 98/03/01

// Copyright (c) 1998 T. AL ANI and Y. HAMAM
// Groupe E.S.I.E.E.
// All rights Reserved

	check=%f;
	while ~check,
		d=x_message(['SECOND STEP : CONTINUOUS OBSERVATION AND STATE SEQUENCES GENERATION';
		' ';
		'Generation of random observation and state sequences of a given HMM';
		'using the following function: ';' ';
		'[O,X]=cobsgen(Pinit0,A0,Me0,Seg0,C0,T)';
		' ';
		'Pinit0 	: Initial probability vector (1,N)';
		'A0     	: State transition matrix (N,N)';
		'B0     	: Discret observation probability matrix (N,M)';
		'O     		: Generated observation sequence matrix (K*T)';
		'X     		: Generated state sequence vector (1*T)';
		'Pinit0 	: Initial state distribution vector (1*N)';
		'A0     	: State stochastic matrix (N*N)';
		'Seg0   	: Observation Covariance list Seg=list(1:M)Segi';
		'Segi 		: Observation covarianc list Segi=list(1:N)Segsi';
		'Segsi		: Covariance Matrix (K*K) in state si'; 
		'Me0    	: Observation mean list Me=list(1:M)Mi';
		'Mi		: Matrices  Mi (K*N)of mean vectors Msi';
		'Msi		: Observation Mean vectors (K*1) in state si'; 
		'C0     	: Mixture gains (for a mixture of Gaussians probability density function)';
		'C0=ones(N*M) 	: Case of Single Gaussian';
		'C0 (N*M)	: Case of M mixtures';
		'M		: Number of Gaussian observation mixtures (scalar)';
		'K		: Observation mean vector dimension';
		'N		: Number of states in HMM (scalar)';
		'T     		: Observation sequence length (scalar)';
		'i 		: state index';
		'm 		: mixture index';
		' ';
		'Please click on Ok to continue or Cancel to abort.'],['Ok';'Cancel']);
		if d==1 then 
			check=%t;
		elseif d==2 then
			yorn();	
			check=%f;
		end 
	end
