function []= s2clrhmm()

// This function is used by training.sci 
// Last change 98/03/01

// Copyright (c) 1998 T. AL ANI and Y. HAMAM
// Groupe E.S.I.E.E.
// All rights Reserved

	check=%f;
	while ~check,
		d=x_message(['SECOND STEP : CONTINUOUS OBSERVATION AND STATE SEQUENCES GENERATION';
		' ';
		'Generation of random observation and state sequences of a given HMM';
		'using the following function: ';' ';
		'[Obs,Xs]=cgenlr(Pinit0,A0,Me0,Seg0,C0)';' ';
		'Pinit0 : Initial probability vector (1,N), Pinit=[1 0 0 ...] ';
		'A0     : State transition matrix (N,N)';
		'Seg0   	: Observation Covariance list Seg0=list(1:M)Segi0';
 		'Segi0 	: Observation covarianc list Segi=list(1:N)Segsi0';
 		'Segsi0	: Covariance Matrix (K*K) in state si'; 
 		'Me0    	: Observation mean list Me0=list(1:M)Mi0';
 		'Mi0		: Matrices  Mi (K*N)of mean vectors Msi0';
 		'Msi0		: Observation Mean vectors (K*1) in state si'; 
 		'C0     	: Mixture gains (for a mixture of Gaussians probability density function)';
 		'C0=ones(N*1) 	: Case of Single Gaussian';
 		'C0 (N*M)	: Case of M mixtures';
 		'Obs	 	: Observation sequences vector :the several observation sequences O are';
	   	'concatenated with their length Ts inbetween them';
	   	'size(Obs): (1,L+Ts1+Ts2+...+TsL)';
 		'Xs	 	: State sequences vector :the several state sequences X are';
	   	'concatenated with their length Ts inbetween them';
	   	'size(Xs): (1,L+Ts1+Ts2+...+TsL)';
 		'O	 	: Observation sequence vector (K*Ts)';
 		'X	 	: State sequence vector (1*Ts)';
 		'M		: Number of Gaussian observation mixtures (scalar)';
 		'K		: Observation mean vector dimension';
 		'N		: Number of states in HMM (scalar)';
 		'Ts     	: sth Observation sequence length (scalar)';
		'Please click on Ok to continue or Cancel to abort.'],['Ok';'Cancel']);
		if d==1 then 
			check=%t;
		elseif d==2 then
			yorn();	
			check=%f;
		end 
	end
