.TH dchkpar  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
dchkpar - checks if the matrices Pinit, A and B are valid 
.SH CALLING SEQUENCE
.nf
[ok] = dchkpar(Pinit,A,B)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
B     
: Observation stochastic matrix (N*M)
.fi
M is the number of distinct observation symbols per state
.TP
ok	 
: A logical variable (T or F)
.SH 
.SH DESCRIPTION
.nf
[ok] = dchkpar(Pinit,A,B)
.fi
This function checks if the matrices Pinit, A and B are valid
matrices for a discret HMM, i.e. checks if the sizes match,
if the sum of probabilities is 1, if probabilities are > 0
.fi
.SH SEE ALSO
dinhmm,	makehmm										T. A
