.TH dgenlr  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
dgenlr - generates observation matrices for DHMM left to right model reestimation test
.SH CALLING SEQUENCE
.nf
[Obs,Xs]=dgenlr(Pinit,A,B)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
B     
: Observation stochastic matrix (N*M)
M is the Number of distinct observation symbols per state
.TP
Obs 		
: Observation sequences vector :the several observation sequences O are
concatenated with their length Ts inbetween them';
size(Obs): (1,L+Ts1+Ts2+...+TsL).
O is the Observation sequence vector (K*T)
T is the Observation sequence length
.TP
Xs 	 	
: State sequences vector :the several state sequences X are
concatenated with their length Ts inbetween them
size(Xs): (1,L+Ts1+Ts2+...+TsL)
X is the State sequence vector (1*T)
.SH 
.SH DESCRIPTION
.nf
[Obs,Xs]=dgenlr(Pinit,A,B)
.fi
function to generate observation matrices for DHMM eft to right model
reestimation test. The several observations are concatenated with their
length inbetween them to obtan Obs.
The vector Tv contains the observation lengths for the several observations
.fi
.SH SEE ALSO
dlrrecur, dlrreest							T. A
