.TH dhmmdeli  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
dhmmdeli - gets the parameters of a DHMM from a list HMM (used in "dhmmdist").
.SH CALLING SEQUENCE
.nf
[Pinit,A,B,LP,Com]=dhmmdeli(HMM)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
B     	
: Observation stochastic matrix (N*M)
M is the Number of distinct observation symbols per state
.TP
LP		
: Log likelihood (log(P(OImodel))
.TP
Com		
: Commentary
.SH 
.SH DESCRIPTION
.nf
[Pinit,A,B,LP,Com]=dhmmdeli(HMM)
.fi
This function gets the parameters of a CHMM from a list HMM (used in "chmmdist").
.fi
.SH SEE ALSO
dhmmlist, dhmmdist							T. A
