.TH dinhmm  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
dinhmm - Two examples of models DHMM
.SH CALLING SEQUENCE
.nf
[Pinit,A,B,M,N]=dinhmm(mod,lr)
.fi
.SH 
.SH PARAMETERS
.TP
mod 		
: Model index (i=1 or 2)
mod=1 for N=2, M=2
mod=2 for N=4, M=8
N is the number of states
M is the number of distinct observation symbols per state
.TP
lr		
: Model type index 
lr=1 all transitions between states are permitted
lr=2 Left-to-Right model
.TP
Pinit 	
: Initial state distribution vector (1*N) 
.TP
A     	
: State stochastic matrix (N*N)
.TP
B     
: Observation stochastic matrix (N*M)
.SH 
.SH DESCRIPTION
.nf
[Pinit,A,B,M,N]=dinhmm(mod,lr)[Pinit,A,Me,Seg,C,M,K,N] = dinhmm(mod,lr)
.fi
Two examples for Discret  Observations HMM (DHMM) initialisation
returns the parameters of the mod-th model (mod=1 or 2)
Two model structures may be generated :
mod=1 for N=2, M=2
mod=2 for N=4, M=8 
lr=1 : All transitions between states are permitted
lr=2 : Left-to-Right model
.fi
.SH SEE ALSO
makehmm									T. A
