.TH dobsgen  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
dobsgen - generates an observation sequence of length T for a given DHMM
.SH CALLING SEQUENCE
.nf
[O,X]=dobsgen(Pinit,A,B)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
B     
: Observation stochastic matrix (N*M)
.fi
M is the number of distinct observation symbols per state
.TP
O 		
: Generated observation sequence matrix (1*T) 
.TP
X
: Generated state sequence vector (1*T)
.SH 
.SH DESCRIPTION
.nf
[O,X]=dobsgen(Pinit,A,B)
.fi
This function is used to generate random observation and state
sequences of a given DHMM.
.fi
.SH SEE ALSO
cinhmm,	makehmm										T. A
