.TH dvitrain 1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
dvitrain - reestimates a DHMM using one iteration on Viterbi algorithm.
.SH CALLING SEQUENCE
.nf
[LP,A,B]=dvitrain(Pinit,A,B,O)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
B     
: Observation stochastic matrix (N*M)
.fi
M Number of distinct observation symbols per state
.TP
O 		
: Observation sequence matrix (1*T)
.fi
T is the Observation sequence length (scalar) 
.TP
LP		
: Normalized Likelihood (log(P(O|model))/T)
.SH 
.SH DESCRIPTION
.nf
[LP,A,B]=dvitrain(Pinit,A,B,O)
.fi
This function reestimates a DHMM by using the Viterbi algorithm
The underflow problem is taken into account
.fi
.SH SEE ALSO
dviterbi, dvireest							T. A
