.TH gengauss  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
gengauss - calculates the Likelihood of the observation vector (Ot) per state in a single gaussian observation mixture.
.SH CALLING SEQUENCE
.nf
[GaussMat]=gengauss(Me,Seg,O)
.fi
.SH 
.SH PARAMETERS
.TP
Me    	
: Observation mean matrix (K,N)
.fi
K is the Observation mean vector dimension
.fi
N is the number of states
.TP
Seg 
:Observation Covariance list Seg=list(1:M)Segi
Segi is the Observation covarianc list Segi=list(1:N)Segsi
Segsi is the Covariance Matrix (K*K) in state i 
.TP
O 		
: Observation sequence matrix (K*T) 
.fi
T is the Observation sequence length 
.TP
GaussMatm 
: a list of dimension t of matrices (N,M), the matrices components are bjm(Ot)
for t=1,..,T in state j and mixture m
.TP
GaussMat
: (N*T) Matrix at time t, the sum on m of bjm(Ot)
.SH 
.SH DESCRIPTION
.nf
[GaussMat]=gengauss(Me,Seg,O)
.fi
This function calculates the probability density function (Likelihood) 
of the observation vector (Ot) per state for a Multivariate Single 
gaussian observations mixture.  
.fi
.SH SEE ALSO
gengausm								T. A
