.TH  inchmmsa 1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
inchmmsa - initializes CHMM for a given observation sequence(O) and number of states(N) by VQ simulated annealing alg.
.SH CALLING SEQUENCE
.nf
[LP,A,Me,Seg]=inchmmsa(N,O,TotIters)
.fi
.SH 
.SH PARAMETERS
.TP
N 
: number of states in HMM
.TP
O
: Observation sequence matrix of dimension (K*T);
.TP
TotIters	
: Number of temperature changes in the Simulated annealing algorithm
.TP
A     	
: State stochastic matrix (N*N)
.TP
Me    	
: Observation mean list Me=list(1:M)Mi
Mi are matrices  Mi (K*N)of mean vectors Msi
.fi
Msi are the Observation Mean vectors (K*1) in state i 
.TP
Seg 
:Observation Covariance list Seg=list(1:M)Segi
.fi
M is the number of Gaussian observation mixtures=1
.fi
Segi is the Observation covarianc list Segi=list(1:N)Segsi
.fi
Segsi is the Covariance Matrix (K*K) in state i 
.fi
M is the number of Gaussian observation mixtures
.TP
O 		
: Observation sequence matrix (K*T) 
K is the Observation mean vector dimension
.fi
T is the Observation sequence length 
.SH 
.SH DESCRIPTION
.nf
[LP,A,Me,Seg]=inchmmsa(N,O,TotIters)
.fi
This function initializes a CHMM for a given observation sequence (O)
and a given number of states (N) using vector quantization based on simulated annealing  algorithm kmean.sci.
.fi
.SH SEE ALSO
vq_sanne, cvireest								T. A
