.TH kmeans  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
kmeans - k-means clustering
.SH CALLING SEQUENCE
.nf
[c,z] = kmeans(x,nc)
.fi
.SH 
.SH PARAMETERS
.TP
x
: d*n matrix of samples
d - dimension of samples
n - number of samples
.TP
nc
: the number of different kmeans (max(c) if omitted)
i.e. number of clusters wanted
.TP
c
: calculated membership vector
.TP
z
: (d*nc) matrix with the mean for each cluster
.SH 
.SH DESCRIPTION
.nf
[c,z] = kmeans(x,nc)
.fi
This function calculates for  
.fi
-> a given (d*n) matrix (x) of samples
(d - dimension of samples n - number of samples, and
.fi
-> a given number (nc) of different kmeans (max(c) if omitted)

.fi
a (1*n) calculated membership vector (c), and
.fi
(d*nc) matrix with the mean for each cluster

.SH SEE ALSO
clusters, nearest, sqrdist						T. A 
