.TH sqrdist  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
sqrdist - calculates a (1*n) vector D containing the squared distances from z
to every vector in X
.SH CALLING SEQUENCE
.nf
D = sqrdist(X,z,W)
.fi
.SH 
.SH PARAMETERS
.TP
X 
: (d*n) matrix containing the vectors
.TP
z
: (d*1) vector to compare all x's with
.TP
W
: if specified, a (d*d) weight matrix
.TP
D 
: the (1*n) result
.SH 
.SH DESCRIPTION
.nf
D = sqrdist(X,z,W)
.fi
This function calculates for  
.fi
-> a given (d*n) matrix (X) containing the vectors, 
.fi
-> a given (d*1) vector to compare all x's with, and
.fi
-> a given (if specified), a (d*d) weight matrix

.fi
the vector D (1*n) result
.SH SEE ALSO
clusters, kmeans, nearest							T. A 
