function []=s1dhmm()

// This function is used by training.sci (dc=1)
// Last change 98/03/01

// Copyright (c) 1998 T. AL ANI and Y. HAMAM
// Groupe E.S.I.E.E.
// All rights Reserved

	check=%f;
	while ~check,
		d=x_message(['FIRST STEP : INITIAL HMM GENERATION';
		' ';
		'Generation of the HMM parameters (to be compared to';
		'the final estimated parameters) using the following function: ';' ';
		'[Pinit0,A0,B0,M,N]=dinhmm(mod,lr)';' ';
		'This function, used for demonstration, gives two examples for Discret';
		'Observations HMM (DHMM) initialisation';' ';
		'It returns the parameters of the mod-th model (mod=1 for N=4, M=6  or mod=2 for N=4, M=8)';
		'Two model structures may be generated :'; 
		'lr=1 : All transitions between states are permitted';
		'lr=2 : Left-to-Right model';
		'Pinit0 : Initial probability vector (1,N)';
		'A0     : State transition matrix (N,N)';
		'B0     : Discret observation probability matrix (N,M)';
		'M	: Number of discret observation symbols per state';
 		'N	: Number of states';' ';
 		'You may use for your application the function:';
		'[HMM]=makehmm()';
		'to generate one or more DHMM, CHMM or HMMAR using x_window dialog'; 
		'Please click on Ok to continue or Cancel to abort.'],['Ok';'Cancel']);
		if d==1 then 
			check=%t;
		elseif d==2 then
			yorn();	
			check=%f;
		end 
	end



