function []= s3bwchmm()

// This function is used by training.sci (dc=2,a=1,lr=1 : training by Baum-Welch algorithm)
// Last change 98/03/01

// Copyright (c) 1998 T. AL ANI and Y. HAMAM
// Groupe E.S.I.E.E.
// All rights Reserved

	check=%f;
	while ~check,
		d=x_message(['THIRD STEP : TRAINING USING LIPORACE-BAUM-WELCH  (for one Gaussian)';
		'OR RABINER-WILPON-JUANG (for a mixture of Gaussians) ALGORITHM';' ';
		'Reestimation of the parameters of a HMM until a certain stop'; 
		'criterion is reached.';  
		'The following function calls the fuction crecursg for a single Gaussian mixture';
		'or the function crecurmg for a mixture of Gaussians until the improvement of';
		'the normalized log-probability';
		'i.e. stop if (abs((LPnew-LPold)/LPold))) is less than a given tolerance tol or Iteration > IterMax. ';' ';
		'[LP,Pinit,A,Me,Seg,C]=creest(Pinit,A,Me,Seg,C,O,tol,IterMax)';' ';
		'Pinit0 	: Given initial Initial probability vector (1,N)';
		'A0     	: Given initial State transition matrix (N,N)';
		'Me    		: Observation mean list Me=list(1:M)Mi';
		'Mi		: Matrices  Mi (K*N) of mean vectors Msi';
		'Msi		: Observation Mean vectors (K*1) in state si';
  		'Seg   		: Observation Covariance list Seg=list(1:M)Segi';
 		'Segi 		: Observation covarianc list Segi=list(1:N)Segsi';
 		'Segsi		: Covariance Matrix (K*K) in state si';
  		'C     		: Mixture gains (for a mixture of Gaussians probability density function)';
 		'C=ones(N*M) 	: Case of Single Gaussian';
 		'C (N*M)	: Case of M mixtures';
 		'M		: Number of Gaussian observation mixtures (scalar)';
		'K		: Observation mean vector dimension';
		'Pinit, A, Me, Seg and C  are the estimated parameters'; 
 		'N		: Number of states';
		'O		: Observation sequence matrix (K*T)';	 		
 		'T		: Observation sequence length';
		'LP 		: Normalized log of likelihood of HMM (log(P(O|model)/T)';
		'P		: Likelihood';' ';
		'Please click on Ok to continue or Cancel to abort.'],['Ok';'Cancel']);
		if d==1 then 
			check=%t;
		elseif d==2 then
			yorn();	
			check=%f;
		end 
	end










