function []= s3bwclr()

// This function is used by training.sci (dc=2,a=1,lr=2 : training by Baum-Welch algorithm)
// Last change 98/03/01

// Copyright (c) 1998 T. AL ANI and Y. HAMAM
// Groupe E.S.I.E.E.
// All rights Reserved

	check=%f;
	while ~check,
		d=x_message(['THIRD STEP : TRAINING USING BAUM-WELCH ALGORITHM';
		' ';
		'Reestimation of the parameters of a HMM until a certain stop'; 
		'criterion is reached.';  
		'The following function calls the fuction cmsrecur until the improvement of';
		'the normalized log-probability';
		'i.e. stop if (abs((LPnew-LPold)/LPold))) is less than a given tolerance tol or Iteration > IterMax.';' ';
		'[LP,Pinit,A,Me,Seg,C]=clrreest(Pinit0,A0,Me0,Seg0,C0,,Obs,tol,IterMax)';' ';
		'Pinit0 : Given initial Initial probability vector (1,N)';
		'A0     : Given initial State transition matrix (N,N)';
		'Seg0   	: Observation Covariance list Seg0=list(1:M)Segi0';
 		'Segi0 	: Observation covarianc list Segi=list(1:N)Segsi0';
 		'Segsi0	: Covariance Matrix (K*K) in state si'; 
 		'Me0    	: Observation mean list Me0=list(1:M)Mi0';
 		'Mi0		: Matrices  Mi (K*N)of mean vectors Msi0';
 		'Msi0		: Observation Mean vectors (K*1) in state si'; 
 		'C0     	: Mixture gains (for a mixture of Gaussians probability density function)';
 		'C0=ones(N*1) 	: Case of Single Gaussian';
 		'C0 (N*M)	: Case of M mixtures';		
		'Pinit, A, Me, Seg and C  are the restimated parameters'; 
 		'N	: Number of states';
		'Obs	: Observation sequences vector :the several observation sequences O are';
		'	  concatenated with their length Ts inbetween them';
		'	  size(Obs): (1,L+Ts1+Ts2+...+TsL)';		 		
 		'Ts	: Observation sequence length';
		'LP 	: Normalized log of likelihood of HMM (log(P(O|model)/T)';
		'P	: Likelihood';' ';
		'Please click on Ok to continue or Cancel to abort.'],['Ok';'Cancel']);
		if d==1 then 
			check=%t;
		elseif d==2 then
			yorn();	
			check=%f;
		end 
	end
