function []= s3bwdhmm()

// This function is used by training.sci (dc=1,a=1 : training by Baum-Welch algorithm)
// Last change 98/03/01

// Copyright (c) 1998 T. AL ANI and Y. HAMAM
// Groupe E.S.I.E.E.
// All rights Reserved

	check=%f;
	while ~check,
		d=x_message(['THIRD STEP : TRAINING USING BAUM-WELCH ALGORITHM';
		' ';
		'Reestimation of the parameters of a HMM until a certain stop'; 
		'criterion is reached.';  
		'The following function calls the fuction drecurs until the improvement of';
		'the normalized log-probability';
		'i.e. stop if (abs((LPnew-LPold)/LPold))) is less than a given tolerance tol or Iteration > IterMax.';' ';
		'[LP,Pinit,A,B]=dreest(Pinit0,A0,B0,O,tol,IterMax)';' ';
		'Pinit0 : Given initial Initial probability vector (1,N)';
		'A0     : Given initial State transition matrix (N,N)';
		'B0     : Given initial Discret observation probability matrix (N,M)';
		'Pinit, A and B are the estimated parameters'; 
		'M	: Number of discret observation symbols per state';
 		'N	: Number of states';
		'O	: Observation sequence matrix (1*T)';	 		
 		'T	: Observation sequence length';
		'LP 	: Normalized log of likelihood of HMM (log(P(O|model)/T)';
		'P	: Likelihood';' ';
		'Please click on Ok to continue or Cancel to abort.'],['Ok';'Cancel']);
		if d==1 then 
			check=%t;
		elseif d==2 then
			yorn();	
			check=%f;
		end 
	end
