function []= s3sachmm()

// This function is used by training.sci (dc=2,a=2 : training by Hamam's algorithm)
// Last change 98/03/01

// Copyright (c) 1998 T. AL ANI and Y. HAMAM
// Groupe E.S.I.E.E.
// All rights Reserved

	check=%f;
	while ~check,
		d=x_message(['THIRD STEP : TRAINING USING HAMAM''s SIMULATED ANNEALING ALGORITHM';
		' ';
		'Reestimation of the parameters of a HMM until a certain stop'; 
		'criterion is reached.';  
		'The following function Is used';
		'[LP,A,Me,Seg]=canneals(wa,N,O,Iter)';' ';
		'This function is used for the estimation of a CHMM'; 
		'by Simulated Annealing, given an observation sequence.';
		'To be able to treat left to right models, the algorithm uses the'; 
		'penalisation matrix wa to indicate the forbidden transitions.';
		'wa is the matrix of allowed transitions.'; 
		'They are indicated by 1 and forbidden transitions by 0'; 
		'The variable Iter gives the number of iterations with different';
		'( reducing ) temperatures';' ';
		'Pinit, A , Me and Seg are the estimated parameters';
		'Pinit is always assumed to be [1 0 0 ...] in this algorithm';
		'A     		: State transition matrix (N,N)';
		'Me    		: Observation mean list Me=list(1:M)Mi';
		'Mi		: Matrices  Mi (K*N)of mean vectors Msi';
		'Msi		: Observation Mean vectors (K*1) in state si'; 
		'Seg   		: Observation Covariance list Seg=list(1:M)Segi';
		'Segi 		: Observation covarianc list Segi=list(1:N)Segsi';
		'Segsi		: Covariance Matrix (K*K) in state si'; 
		'M		: Number of Gaussian observation mixtures';
		'K		: Observation mean vector dimension';
 		'N		: Number of states';' ';
		'Please click on Ok to continue or Cancel to abort.'],['Ok';'Cancel']);
		if d==1 then 
			check=%t;
		elseif d==2 then
			yorn();	
			check=%f;
		end 
	end
