function []= s3sadhmm()

// This function is used by training.sci (dc=1,a=2 : training by Hamam's algorithm)
// Last change 98/03/01

// Copyright (c) 1998 T. AL ANI and Y. HAMAM
// Groupe E.S.I.E.E.
// All rights Reserved

	check=%f;
	while ~check,
		d=x_message(['THIRD STEP : TRAINING USING HAMAM''s SIMULATED ANNEALING ALGORITHM';
		' ';
		'Reestimation of the parameters of a HMM until a certain stop'; 
		'criterion is reached.';  
		'The following function Is used';
		'[LP,A,B]=danneal(wa,wb,N,M,O,Iter)';' ';
		'This function is used for the estimation of a DHMM'; 
		'by Simulated Annealing, given an observation sequence.';
		'To be able to treat left to right models, the algorithm uses the'; 
		'penalisation matrices a,b to indicate the forbidden transitions and'; 
		'observations. wa is the matrix of allowed transitions.'; 
		'They are indicated by 1 and forbidden transitions by 0'; 
		'The same is valid for the observation matrix wb';
		'The variable Iter gives the number of iterations with different';
		'( reducing ) temperatures';' ';
		'Pinit, A and B are the estimated parameters';
		'Pinit is always assumed to be [1 0 0 ...] in this algorithm';
		'A      : State transition matrix (N,N)';
		'B      : Discret observation probability matrix (N,M)';	 
		'M	: Number of discret observation symbols per state';
 		'N	: Number of states';
		'O	: Observation sequence matrix (1*T)';	 		
 		'T	: Observation sequence length';
		'LP 	: Normalized log of likelihood of HMM (log(P(O|model)/T)';
		'P	: Likelihood';' ';
		'Please click on Ok to continue or Cancel to abort.'],['Ok';'Cancel']);
		if d==1 then 
			check=%t;
		elseif d==2 then
			yorn();	
			check=%f;
		end 
	end
