function []= s3vichmm()

// This function is used by training.sci (dc=2,a=3 : training by Viterbi algorithm)
// Last change 98/03/01

// Copyright (c) 1998 T. AL ANI and Y. HAMAM
// Groupe E.S.I.E.E.
// All rights Reserved

	check=%f;
	while ~check,
		d=x_message(['THIRD STEP : TRAINING USING VITERBI ALGORITHM';
		' ';
		'Reestimation of the parameters of a HMM until a certain stop'; 
		'criterion is reached.';  
		'The following function Is used';
		'[LP,A,Me,Seg]=cvitrain(Pinit,A,Me,Seg,O,Iter)';' ';
		'This function is used for the estimation of a CHMM'; 
		'by Viterbi, given an observation sequence.';
		'Pinit0 : Given initial Initial probability vector (1,N)';
		'Pinit0 is always assumed to be [1 0 0 ...] in this algorithm';
		'A0     : Given initial State transition matrix (N,N)';
		'Pinit0 	: Given initial Initial probability vector (1,N)';
		'A0     	: Given initial State transition matrix (N,N)';
		'Me0    		: Observation mean list Me=list(1:M)Mi';
		'Mi		: Matrices  Mi (K*N) of mean vectors Msi';
		'Msi		: Observation Mean vectors (K*1) in state si';
  		'Seg   		: Observation Covariance list Seg=list(1:M)Segi';
 		'Segi 		: Observation covarianc list Segi=list(1:N)Segsi';
 		'Segsi		: Covariance Matrix (K*K) in state si';
 		'M		: Number of Gaussian observation mixtures (scalar)';
		'K		: Observation mean vector dimension';
		'Pinit, A, Me, Seg and C  are the estimated parameters'; 
 		'N		: Number of states';
		'O		: Observation sequence matrix (K*T)';	 		
 		'T		: Observation sequence length';
		'LP 		: Normalized log of likelihood of HMM (log(P(O|model)/T)';
		'P		: Likelihood';' ';
		'Pinit, A, Me and Seg  are the estimated parameters'; 
		'Please click on Ok to continue or Cancel to abort.'],['Ok';'Cancel']);
		if d==1 then 
			check=%t;
		elseif d==2 then
			yorn();	
			check=%f;
		end 
	end
