.TH cvitrain 1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
cvitrain - reestimates a CHMM using one iteration on Viterbi algorithm.
.SH CALLING SEQUENCE
.nf
[LP,A,Me,Seg]=cvitrain(Pinit,A,Me,Seg,O)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
Me    	
: Observation mean list Me=list(1:M)Mi
.fi
M=1 Number of Gaussian observation mixtures (scalar)Mi are matrices  Mi (K*N)of mean vectors Msi
.fi
Msi are the Observation Mean vectors (K*1) in state i 
.TP
Seg 
:Observation Covariance list Seg=list(1:M)Segi
.fi
Segi is the Observation covarianc list Segi=list(1:N)Segsi
.fi
Segsi is the Covariance Matrix (K*K) in state i 
.fi
K is the Observation mean vector dimension
.TP
O 		
: Observation sequence matrix (K*T)
.fi
T is the Observation sequence length (scalar) 
.TP
LP		
: Normalized Likelihood (log(P(O|model))/T)
.SH 
.SH DESCRIPTION
.nf
[LP,A,Me,Seg]=cvitrain(Pinit,A,Me,Seg,O)
.fi
This function reestimates a CHMM with a single Gaussian continuous observations
using the Viterbi algorithm.
The underflow problem taken into account
.fi
.SH SEE ALSO
cviterbi, cvireest							T. A
