.TH nearest  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
nearest - returns the vector zj in z that is nearest to xi
.SH CALLING SEQUENCE
.nf
[zj,j,d] = nearest(z,xi)
.fi
.SH 
.SH PARAMETERS
.TP
z
: (d*J) vectors that need to be compared to xi
.TP
xi
: vector that wants to be matched up with zj
d - dimension of samples
n - number of samples
.TP
zj
: the nearest vector to xi in z
.fi
j  - the index of zj in z
.TP
d
: the minimum distance
.SH 
.SH DESCRIPTION
.nf
[zj,j,d] = nearest(z,xi)
.fi
This function calculates for  
.fi
-> a given vector (x) that wants to be matched up with zj, and
.fi
-> a given (d*J) vectors that need to be compared to xi

.fi
the nearest vector (zj) to xi in z,
.fi
the index (j) of zj in z, and
.fi
the minimum distance (d)
.SH SEE ALSO
clusters, kmeans, sqrdist							T. A 
