.TH vq_kmean  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
vq_kmean - vector quantization by k-means clustering
.SH CALLING SEQUENCE
.nf
[c,z] = vq_kmean(O)
.fi
.SH 
.SH PARAMETERS
.TP
O 
: (K*T) observation samples
.fi
K : Observation mean vector dimension
.fi
T : Observation sequence length 
.TP
c
: calculated membership vector (1*T)
.TP
z
: (d*nc) matrix with the mean for each cluster
.fi
d : dimension of samples
.fi
nc : the number of different vq_kmean (max(c) if omitted)
i.e. number of clusters wanted
.SH 
.SH DESCRIPTION
.nf
[c,z] = vq_kmean(O)
.fi
This function relizes a vector quantization by k-means clustering for the given 
(K*T) samples.
.SH SEE ALSO
kmeans								T. A 
