.TH vq_sanne  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
vq_sanne - vector quantization simulated annealing algorithm
.SH CALLING SEQUENCE
.nf
[BestSoln,BestCost]=vq_sanne(Families,O,TotIters)
.fi
.SH 
.SH PARAMETERS
.TP
Families	
: Number of states
.TP
O 
: (K*T) observation samples
.fi
K : Observation mean vector dimension
.fi
T : Observation sequence length 
.TP
TotIters	
: Number of temperature changes in the Simulated annealing algorithm
.TP
BestSoln     
: Classification of observations into classes, each associated to a state of dimension (1*T)
.TP
BestCost     
: Sum of squares of the deviations in the different classes
.SH 
.SH DESCRIPTION
.nf
[BestSoln,BestCost]=vq_sanne(Families,O,TotIters)
.fi
This function relizes a vector quantization by  vector quantization
simulated annealing for a given number of states (Families), given 
number of samples (O) and a given number of temperature changes in 
the Simulated annealing algorithm (TotIters). 
.SH SEE ALSO
qv_kmeans								T. A 
